MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030143Open CASCADE[OCCT] OCCT:Foundation Classespublic2018-09-17 12:462018-09-30 18:55
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030143: Foundation Classes - provide operator[] alias for NCollection_Array1, NCollection_Vector
DescriptionFor historical reasons, OCCT collections provide methods Value() and ChangeValue() for accessing elements by index as well as operator() as alias.

There is no, hover, more traditional operator[] alias, making transition between C array / NCollection_Array1 / std::vector collections annoying.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0079213)
git (administrator)
2018-09-17 13:17

Branch CR30143 has been created by kgv.

SHA-1: b8f7f6081fb2bb4462a0bedf9b9245f525c36154


Detailed log of new commits:

Author: kgv
Date: Mon Sep 17 13:14:00 2018 +0300

    0030143: Foundation Classes - provide operator[] alias for NCollection_Array1, NCollection_Vector
(0079215)
kgv (developer)
2018-09-17 14:03
edited on: 2018-09-17 15:05

Trivial patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com/view/CR30143-CR30143-KGV/ [^]

(0079223)
abv (manager)
2018-09-17 17:17

No remarks, please integrate
(0079521)
git (administrator)
2018-09-30 18:47

Branch CR30143 has been deleted by inv.

SHA-1: b8f7f6081fb2bb4462a0bedf9b9245f525c36154

- Related Changesets
occt: master b8f7f608
Timestamp: 2018-09-17 10:14:00
Author: kgv
Details ] Diff ]
0030143: Foundation Classes - provide operator[] alias for NCollection_Array1, NCollection_Vector
mod - src/NCollection/NCollection_Array1.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vector.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-17 12:46 kgv New Issue
2018-09-17 12:46 kgv Assigned To => abv
2018-09-17 13:17 git Note Added: 0079213
2018-09-17 14:03 kgv Note Added: 0079215
2018-09-17 14:03 kgv Status new => resolved
2018-09-17 15:05 kgv Note Edited: 0079215 View Revisions
2018-09-17 17:17 abv Note Added: 0079223
2018-09-17 17:17 abv Assigned To abv => bugmaster
2018-09-17 17:17 abv Status resolved => reviewed
2018-09-18 18:58 bugmaster Status reviewed => tested
2018-09-18 18:58 bugmaster Test case number => Not required
2018-09-30 18:26 kgv Changeset attached => occt master b8f7f608
2018-09-30 18:26 kgv Assigned To bugmaster => kgv
2018-09-30 18:26 kgv Status tested => verified
2018-09-30 18:26 kgv Resolution open => fixed
2018-09-30 18:47 git Note Added: 0079521


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker